/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;

import servidor.utiles.*;

public class TablaCategorias extends Tabla_Base {


   public TablaCategorias(Connection conexion) {
	  super(conexion, "CategoriasEsta");
   }


  public int getId() throws SQLException {
	  return rs.getInt(1);
   }

   public String getcategoriaEsta() throws SQLException {
	  return rs.getString("CategoriaEsta");
   }
   public String getcodigoestadistico() throws SQLException {
		  return rs.getString(("CodigoEstadistico"));
   }

   public void nuevaCategoria(String codigoEstadistico, String categoriaestadistica) throws SQLException{
		  SQL("INSERT INTO CategoriasEsta (CodigoEstadistico, CategoriaEsta) VALUES (''{0}'',''{1}'')", new String[] {codigoEstadistico,categoriaestadistica});
	   }
   public void bajaCategoria(int id) throws SQLException{
		  SQL("DELETE FROM CategoriasEsta  WHERE Id = "+id);
	   }
}
